# Class NamedPipeSocket

java.lang.Object
java.net.Socket
org.mariadb.jdbc.internal.io.socket.NamedPipeSocket

All Implemented Interfaces:
  `Closeable, AutoCloseable`

public class NamedPipeSocket extends Socket

## Constructor Summary

Constructors
Constructor
Description
`NamedPipeSocket(String host, String name)`

## Method Summary

Modifier and Type
Method
Description
`void`
`close()`
`void`
`connect(SocketAddress endpoint)`
`void`
`connect(SocketAddress endpoint, int timeout)`
Name pipe connection.
`InputStream`
`getInputStream()`
`OutputStream`
`getOutputStream()`
`void`
`setKeepAlive(boolean bool)`
`void`
`setReceiveBufferSize(int size)`
`void`
`setSendBufferSize(int size)`
`void`
`setSoLinger(boolean bool, int value)`
`void`
`setSoTimeout(int timeout)`
`void`
`setTcpNoDelay(boolean bool)`
`void`
`shutdownInput()`
`void`
`shutdownOutput()`

### Methods inherited from class Socket

`bind, getChannel, getInetAddress, getKeepAlive, getLocalAddress, getLocalPort, getLocalSocketAddress, getOOBInline, getOption, getPort, getReceiveBufferSize, getRemoteSocketAddress, getReuseAddress, getSendBufferSize, getSoLinger, getSoTimeout, getTcpNoDelay, getTrafficClass, isBound, isClosed, isConnected, isInputShutdown, isOutputShutdown, sendUrgentData, setOOBInline, setOption, setPerformancePreferences, setReuseAddress, setSocketImplFactory, setTrafficClass, supportedOptions, toString`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### NamedPipeSocket

public NamedPipeSocket(String host, String name)

## Method Details

### close

public void close() throws IOException

Specified by:
  `close` in interface `AutoCloseable`
Specified by:
  `close` in interface `Closeable`
Overrides:
  `close` in class `Socket`
Throws:
  `IOException`

### connect

public void connect(SocketAddress endpoint) throws IOException

Overrides:
  `connect` in class `Socket`
Throws:
  `IOException`

### connect

public void connect(SocketAddress endpoint, int timeout) throws IOException
Name pipe connection.

Overrides:
  `connect` in class `Socket`
Parameters:
  `endpoint` - endPoint
  `timeout` - timeout in milliseconds
Throws:
  `IOException` - exception

### getInputStream

public InputStream getInputStream()

Overrides:
  `getInputStream` in class `Socket`

### getOutputStream

public OutputStream getOutputStream()

Overrides:
  `getOutputStream` in class `Socket`

### setTcpNoDelay

public void setTcpNoDelay(boolean bool)

Overrides:
  `setTcpNoDelay` in class `Socket`

### setKeepAlive

public void setKeepAlive(boolean bool)

Overrides:
  `setKeepAlive` in class `Socket`

### setReceiveBufferSize

public void setReceiveBufferSize(int size)

Overrides:
  `setReceiveBufferSize` in class `Socket`

### setSendBufferSize

public void setSendBufferSize(int size)

Overrides:
  `setSendBufferSize` in class `Socket`

### setSoLinger

public void setSoLinger(boolean bool, int value)

Overrides:
  `setSoLinger` in class `Socket`

### setSoTimeout

public void setSoTimeout(int timeout)

Overrides:
  `setSoTimeout` in class `Socket`

### shutdownInput

public void shutdownInput()

Overrides:
  `shutdownInput` in class `Socket`

### shutdownOutput

public void shutdownOutput()

Overrides:
  `shutdownOutput` in class `Socket`